Exp 44: Exp build:ios Error Validating Credentials 1st time around

#1

The first time I try to run exp build:ios -c, it’ll fail and say “error validating credentials”.

The second time I try to run it exp build:ios it starts to build!

Right now build is in progress but will update ticket if build fails.

Thanks!

Log below (using Yarn)

~/P/p/orchard-react-native ❯❯❯ exp build:ios -c
[exp] Making sure project is set up correctly...
|[exp] Error: You are using npm version 5.0.3. We recommend version 4.6.1. To install it, run 'npm i -g npm@4.6.1'.
/[exp] Warning: Problem validating app.json: regeneratorRuntime is not defined.
\[exp] Problem checking node_modules dependencies: Unexpected end of JSON input
[exp] Your project looks good!
[exp] Checking if current build exists...

[exp] No currently active or previous builds for this project.
[exp] Checking for existing Apple credentials...

We need your Apple ID/password to manage certificates and provisioning profiles from your Apple Developer account.
? What's your Apple ID? peter@pre.io
? Password? ********************************
? What is your Apple Team ID (you can find that on this page: https://developer.apple.com/account/#/membership)? xxx
[exp] Validating Apple credentials...
[exp] Credentials valid.

? Do you already have a distribution certificate you'd like us to use,
or do you want us to manage your certificates for you? true
[exp] Generating distribution certificate...
[exp] Error validating credentials. You may need to clear them (with `-c`) and try again.
[exp] Unable to fetch distribution certificate. Request ID a29f5e40-883f-11e7-827a-df7571f0ac0b, message: Unable to add new certificate to your account (maximum number reached). Please delete one of your certificates or upload an existing one.
~/P/p/orchard-react-native ❯❯❯ exp build:ios
[exp] Making sure project is set up correctly...
|[exp] Error: You are using npm version 5.0.3. We recommend version 4.6.1. To install it, run 'npm i -g npm@4.6.1'.
/[exp] Warning: Problem validating app.json: regeneratorRuntime is not defined.
\[exp] Problem checking node_modules dependencies: Unexpected end of JSON input
[exp] Your project looks good!
[exp] Checking if current build exists...

[exp] No currently active or previous builds for this project.
[exp] Checking for existing Apple credentials...
[exp] Validating Apple credentials...
[exp] Credentials valid.
[exp] Validating distribution certificate...
[exp] Validating app id...
[exp] Validating push certificate...
[exp] Starting build process...
[exp] Unable to find an existing exp instance for this directory, starting a new one...
[exp] Error: You are using npm version 5.0.3. We recommend version 4.6.1. To install it, run 'npm i -g npm@4.6.1'.
[exp] Warning: Problem validating app.json: regeneratorRuntime is not defined.
[exp] Problem checking node_modules dependencies: Unexpected end of JSON input
[exp] Starting React Native packager...
[exp] Scanning 896 folders for symlinks in /Users/peter/Projects/pre/orchard-react-native/node_modules (8ms)
[exp] Loading dependency graph.
[exp] Running packager on port 19003.
[exp] Dependency graph loaded.
[exp] Publishing...
[exp] Building iOS bundle
[exp] Finished building JavaScript bundle in 23556ms.
[exp] Building Android bundle
Building JavaScript bundle [=======================================================================================             ] 87%
0 Likes